/* Startup */
user_pref("browser.startup.homepage", "https://www.google.ca"); // home page
user_pref("browser.startup.page", 3); // resume previous session
user_pref("browser.newtabpage.enabled", false); // blank new tab page
user_pref("browser.newtabpage.activity-stream.default.sites", ""); // blank top sites
user_pref("browser.startup.homepage_override.mstone", "ignore"); // disable welcome

/* Shutdown */
// user_pref("privacy.sanitize.sanitizeOnShutdown", true); // clear data on shutdown
// user_pref("privacy.clearOnShutdown.history", false); // save history
// user_pref("privacy.clearOnShutdown.cache", true); // clear cache
// user_pref("privacy.clearOnShutdown.downloads", true); // clear downloads
// user_pref("privacy.clearOnShutdown.formdata", true); // clear form data
// user_pref("privacy.clearOnShutdown.sessions", false);  // save sessions
// user_pref("privacy.clearOnShutdown.cookies", false); // save cookies
// user_pref("privacy.clearOnShutdown.offlineApps", true); // clear site data

/* Warnings */
user_pref("browser.aboutConfig.showWarning", false); // disable about:config warning
user_pref("browser.warnOnQuitShortcut", true); // warn on quit

/* Recommendations */
user_pref("browser.newtabpage.activity-stream.showSponsored", false); // disable sponsored stories
user_pref("browser.newtabpage.activity-stream.showSponsoredTopSites", false); // disable sponsored shortcuts
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.addons", false); // disable recommended addons
user_pref("browser.newtabpage.activity-stream.asrouter.userprefs.cfr.features", false); // disable recommended features
user_pref("extensions.getAddons.showPane", false); // disable recommendations in about:addons
user_pref("extensions.htmlaboutaddons.recommendations.enabled", false); // disable recommendations in about:addons
user_pref("browser.discovery.enabled", false); // disable recommendations in about:addons
user_pref("browser.messaging-system.whatsNewPanel.enabled", false); // disable what's new
user_pref("extensions.pocket.enabled", false); // disable pocket

/* Fingerprinting */
user_pref("privacy.resistFingerprinting", false); // don't resist fingerprinting
user_pref("privacy.resistFingerprinting.letterboxing", false); // don't resist fingerprinting
// user_pref("webgl.disabled", false);

/* DRM */
user_pref("media.eme.enabled", true); // allow DRM

/* Behaviour */
user_pref("browser.tabs.loadBookmarksInTabs", true); // open bookmarks in a new tab
user_pref("browser.bookmarks.openInTabClosesMenu", false); // opening bookmarks doesn't close the menu
user_pref("layout.word_select.eat_space_to_next_word", false); // don't select extra space after words
user_pref("general.autoScroll", true); // scroll on middle click
user_pref("browser.ctrlTab.sortByRecentlyUsed", false); // ctrl+tab cycles in order
user_pref("toolkit.zoomManager.zoomValues", ".1,.3,.5,.6,.7,.8,.85,.9,.95,1,1.05,1.1,1.15,1.2,1.3,1.4,1.5,1.75,2,2.5,3,4,5,10"); // zoom values
user_pref("zoom.minPercent", 10); // zoom values
user_pref("signon.autofillForms", false); // don't autofill login pages
user_pref("signon.formlessCapture.enabled", false); // don't autofill passwords
user_pref("extensions.formautofill.addresses.enabled", false); // don't autofill addresses
user_pref("extensions.formautofill.creditCards.enabled", false); // don't autofill credit cards

/* Downloads */
user_pref("browser.download.useDownloadDir", false); // always ask where to save files
user_pref("browser.download.alwaysOpenPanel", false); // disable automatically opening download panel
user_pref("browser.download.manager.addToRecentDocs", false); // disable adding downloads to recent documents
user_pref("browser.download.always_ask_before_handling_new_types", true); // confirm new file types

/* Fullscreen */
user_pref("full-screen-api.transition-duration.enter", "0 0");
user_pref("full-screen-api.transition-duration.leave", "0 0");
user_pref("full-screen-api.transition.timeout", "0");
user_pref("full-screen-api.warning.delay", "0");
user_pref("full-screen-api.warning.timeout", "0");

/* Containers */
user_pref("privacy.userContext.enabled", true); // enable containers
user_pref("privacy.userContext.ui.enabled", true); // enable containers

/* Content */
user_pref("toolkit.legacyUserProfileCustomizations.stylesheets", true); // enable userContent/Chrome.css

/* Other */
// user_pref("browser.tabs.tabmanager.enabled", false); // hide tab manager
